class StartWindow : public BWindow {
private:
	BFilePanel		*fPanel;

public:
  				StartWindow(BRect frame);
  virtual bool	QuitRequested();
  virtual void  MessageReceived(BMessage *message);
  void			parse_bxrsc(int num_params, char *params[]);
  void			parse_bochsrc(void);
  void 			parse_line_unformatted(char *line);
  entry_ref		*fRef;

};




class StartView : public BView {
private:

  BButton 			*bStart;
  BButton 			*bEnd;
  BButton 			*bSave;
  BButton			*bSaveAs;
  BButton			*bOpen;
public:
  BFile				*fFile;
  					StartView(BRect frame, char *name, entry_ref*);
  virtual void   	MessageReceived(BMessage *message);
  void				NewFile(entry_ref*);
  void				Save(void);

};

////////// Class Definition
//
////////// ROM Panel /////////


class ROMView : public BView {
private:
  BButton 			*bStart;
  BButton 			*bEnd;
public:
  					ROMView(BRect frame);
  //virtual void   	MessageReceived(BMessage *message);
  //virtual void    AttachedToWindow(void);
  BTextControl		*fROMvga;
  BTextControl		*fROMbios;
  BTextControl		*fROMaddr;
  //~StartView();
};

////////// Class Definition
//
////////// Hardware Panel /////////


class HWRView : public BView {
private:
  BButton 			*bStart;
  BButton 			*bEnd;
public:
  					HWRView(BRect frame);
  //virtual void   	MessageReceived(BMessage *message);
  //virtual void      AttachedToWindow(void);
  BTextControl		*fHWRmegs;
  BTextControl		*fHWRcfile;
  BMenuField		*mfHWRcsize;
  BMenu				*mHWRcsize;
  BMenuField		*mfHWRboot;
  BMenu				*mHWRboot;
  
  BTextControl		*fHWRafile;
  BMenuField		*mfHWRatype;
  BMenu				*mHWRatype;
  BMenuField		*mfHWRastat;
  BMenu				*mHWRastat;
  BCheckBox			*cHWRaenab;
  
  BTextControl		*fHWRbfile;
  BMenuField		*mfHWRbtype;
  BMenu				*mHWRbtype;
  BMenuField		*mfHWRbstat;
  BMenu				*mHWRbstat;
  BCheckBox			*cHWRbenab;
  BTextControl		*fHWRcdrom;
  BCheckBox			*cHWRcdenab;
  //~StartView();
};

////////// Class Definition
//
////////// System Panel /////////

class SYSView : public BView {
private:

public:
  					SYSView(BRect frame);
  //virtual void   	MessageReceived(BMessage *message);
  //virtual void    AttachedToWindow(void);
  BTextControl		*fSYSlog;
  BTextControl		*fSYSips;
  BTextControl		*fSYSvga;
  BTextControl		*fSYSkey;
  BTextControl		*fSYSfcd;
  //~StartView();
};


